site_name: Frent Documentation
site_author: reflex
site_description: Документація сервісу для оренди друзів Frent
copyright: Copyright &copy; 2022 reflex

theme:
  name: material
  language: uk
  features:
    - navigation.tabs
    - navigation.top
    - search.suggest
    - search.highlight
  palette:
    - scheme: slate
      primary: blue
      accent: blue
      toggle:
        icon: material/brightness-4
        name: Switch to light mode
    - scheme: default
      primary: blue
      accent: blue
      toggle:
        icon: material/brightness-7
        name: Switch to dark mode

nav:
  - Головна: index.md
  - Користувачу: 
    - Головна: for-end-user/index.md
  - Розробнику:
    - Головна: for-developer/index.md
    - Вимоги:
      - Загальні: for-developer/requirements/general.md
      - База даних: for-developer/requirements/database.md
      - Користувацький інтерфейс: for-developer/requirements/user-interface.md
      - Сутності: for-developer/requirements/entities.md
      - Запити: for-developer/requirements/queries.md
    - Специфікація:
      - Сутності:
        - Користувачі: for-developer/spec/entities/users.md
        - Події: for-developer/spec/entities/events.md
        - Подарунки: for-developer/spec/entities/gifts.md
        - Відгуки: for-developer/spec/entities/feedbacks.md

plugins:
  - search:
      lang:
        - en
        - uk

markdown_extensions:
  - toc:
      permalink: true
      slugify: !!python/object/apply:pymdownx.slugs.slugify
        kwds:
          case: lower
